Bug 250806 - smolt reports wrong driver for 56k winmodem
smolt reports wrong driver for 56k winmodem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-03 14:24 EDT by Antonio A. Olivares
Modified: 2008-06-16 22:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:05:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
The file generated by scanModem that gives more information about Modem (4.71 KB, text/plain)
2007-08-03 14:24 EDT, Antonio A. Olivares
no flags Details

  None (edit)
Description Antonio A. Olivares 2007-08-03 14:24:46 EDT
Description of problem:

smolt gnerates serial driver as the driver for Smartlink 56K Modem.  This is
incorrect information as the driver(s) used are from Smartlink Section of
LinModem Resource Page

serial  MODEM  pci  Smart Link Ltd.  SmartLink SmartPCI562 56K Modem  Smart Link
Ltd.

Fedora 6 smolt profile 
http://smolt.fedoraproject.org/show?UUID=4c1689bf-dca4-41d9-93cb-c0b226c4f654

and Fedora 7 smolt profile
http://smolt.fedoraproject.org/show?UUID=ab3e390d-6c07-4e80-ab82-e33899913db3

Version-Release number of selected component (if applicable):
[olivares@localhost ~]$ rpm -qa smolt
smolt-0.9.8.1-1.fc7
and the other one in Fedora 6 which I will put here later.  Im doing this from
Fedora 7 which also has same mistake. 

Part of the reason that smolt can say that the serial driver is the one is
because of the following issue:
http://linmodems.technion.ac.il/slmodem-serial.html

Since then this problem has not gone away.  ungrab-winmodem is the quick fix for
this.  

How reproducible:
Run mmolt and send profile 

Steps to Reproduce:
1.  run smolt 
2.  select yes on smolt prompt
3.  open your smolt profile on web browser and check driver for Modem 
  
Actual results:

the two drivers

http://linmodems.technion.ac.il/packages/smartlink/slmodem-2.9.11-20070505.tar.gz
and
http://linmodems.technion.ac.il/packages/smartlink/ungrab-winmodem-20070505.tar.gz

support the Smartlink 56K winmodem 


Expected results:


Additional info:

For a better explanation of what is going on please look at 
http://www.geocities.com/olivares14031/26221-27fc7-slmodemd.html
and at the homepage 

http://www.geocities.com/olivares14031/

for more slmodemd examples and howto's for better infomation.

lspci for modem returns
00:0a.0 Modem: Smart Link Ltd. SmartLink SmartPCI562 56K Modem (rev 04)

Should you need more information, I will be glad to try to help out.

Thanks,

Antonio
Comment 1 Antonio A. Olivares 2007-08-03 14:24:47 EDT
Created attachment 160643 [details]
The file generated by scanModem that gives more information about Modem
Comment 2 Mike McGrath 2007-08-03 14:31:17 EDT
Thanks for this, I have a strong feeling this is a design flaw in the way I
setup how devices are submitted.  we'll have to come up with a fix for it.
Comment 3 Antonio A. Olivares 2007-08-03 20:46:34 EDT
Mike, 

smolt gets the modem correctly on the other machine running Fedora 7

http://smolt.fedoraproject.org/show?UUID=b789470a-11cc-4097-acd7-c022ad437d6b

Driver   Modem  Type  ...                .....        ......
Unknown  OTHER  pci  Agere Systems  LT WinModem  Agere Systems

lspci reports it as 
00:0a.0 Communication controller: Agere Systems LT WinModem (rev 02)

So the problem might not be with smolt, but with the serial driver capturing the
modem and not releasing it.  Just a thought.  

Do I send in the Fedora 6 information?  

Please let me know if you need something.  

Thanks,

Antonio 
Comment 4 Bug Zapper 2008-05-14 09:51:39 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 22:05:35 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.